<div class="inventory-list">
    {{#each sections as |section|}}
        <div class="inventory-section inventory-row">
            <h3 class="item-name">{{localize section.label}}</h3>
            {{#each section.columns}}
                <div class="item-detail item-{{id}}">{{localize label}}</div>
            {{/each}}
            {{#if ../owner}}
                <div class="item-controls">
                    <a class="item-control item-create" data-action="itemCreate"
                       {{#each section.dataset as |v k|}}data-{{k}}="{{v}}"{{/each}}>
                        <i class="fas fa-plus"></i> {{localize "R3A.ANADIR"}}
                    </a>
                </div>
            {{/if}}
        </div>
        {{#each section.items as |item|}}
            {{#itemContext item as |ctx|}}
                <div class="inventory-row" data-item-id="{{item.id}}">
                    <div class="item-name">
                        {{#if ctx.isRollable}}
                            <a class="inventory-roll" data-type="{{item.type}}">
                                <svg>
                                    <use href="#{{item.type}}-roll"></use>
                                </svg>
                            </a>
                        {{/if}}
                        {{#if ctx.hasBurst}}
                            <a class="burst-roll" data-tooltip="{{localize "R3A.COMBATE.DISPARAR_RAFAGA"}}">
                                <svg>
                                    <use href="#burst-roll"></use>
                                </svg>
                            </a>
                        {{/if}}
                        <span>{{item.name}}</span>
                    </div>
                    {{#each section.columns}}
                        <div class="item-detail item-{{id}}">{{getProperty item property}}</div>
                    {{/each}}
                    {{#if @root.owner}}
                        <div class="item-controls">
                            {{#if ctx.canToggle}}
                                <a class="item-control item-toggle {{ctx.toggleClass}}" data-action="itemToggle"
                                   data-tooltip="{{ctx.toggleTitle}}">
                                    <i class="fas fa-shield-alt"></i>
                                </a>
                            {{/if}}
                            <a class="item-control item-edit" data-action="itemEdit">
                                <i class="fas fa-edit"></i>
                            </a>
                            <a class="item-control item-delete" data-action="itemDelete">
                                <i class="fas fa-trash"></i>
                            </a>
                        </div>
                    {{/if}}
                </div>
            {{/itemContext}}
        {{/each}}
    {{/each}}
</div>
